#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    int stalaktit, perica;
    cin >> stalaktit >> perica; 

    long long visinastalaktita;
  
    for (int i = 0; i <= stalaktit; i++) {
        cin >> visinastalaktita; 

        if (visinastalaktita <= perica) {
            cout << i + 1 << "\n";
            return 0;
        }
    }
    cout << -1 << "\n";
    return 0;
}